<?php

namespace App\Tasks;

use App\Models\Transaction;
use Carbon\Carbon;

class UpdateMassive2Task
{

    public function handle()
    {
        Transaction::query()
            ->select([
                'id',
            ])
            ->where('id', '>', 0)
            ->chunkById(1000, function ($transactions) {
                Transaction::query()
                    ->whereIn('id', $transactions->pluck('id'))
                    ->update([
                        'date' => Carbon::now(),
                        'value' => 1,
                    ]);
            });
    }
}
